Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(14)

Issue 2520873002: [css-ui] Add support for caret-color property (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
10 months, 1 week ago by Manuel Rego
Modified:
9 months, 3 weeks ago
CC:
darktears, apavlov+blink_chromium.org, blink-reviews, blink-reviews-animation_chromium.org, blink-reviews-css, blink-reviews-style_chromium.org, blink-reviews-w3ctests_chromium.org, chromium-reviews, dglazkov+blink, Eric Willigers, florian_rivoal.net, rjwright, rwlbuis, shans, tfarina
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[css-ui] Add support for caret-color property The test basically adds the new CSS property "caret-color": https://drafts.csswg.org/css-ui/#propdef-caret-color "caret-color" is a regular color property but it accepts also "auto". To support this a new class StyleAutoColor has been created, including a new flag to know if the color is auto, currentColor or a specified one. Finally the patches modifies CaretBase::paintCaret() to use that property instead of "color" as it's been doing until now. We're using the test suite from the W3C CSS WG, which was imported on r434986. This CL manually imports some pixel tests too. This is based on a patch by Claudio Saavedra <csaavedra@igalia.com>;. BUG=665422 TEST=editing/caret/caret-color-*.html TEST=imported/csswg-test/css-ui-3/caret-color-*.html Committed: https://crrev.com/c142daf285cf004dd28c7a88c57920279d123300 Cr-Commit-Position: refs/heads/master@{#435338}

Patch Set 1 #

Patch Set 2 : Fix tests that were listing all the CSS properties #

Patch Set 3 : Fix tests that were listing all the CSS properties #

Total comments: 16

Patch Set 4 : New version applying suggested changes #

Patch Set 5 : New tests imported #

Patch Set 6 : Add new baselines for Mac and Windows #

Total comments: 14

Patch Set 7 : Rebased patch (exactly the same than "Patch Set 6" but rebased to a recent master) #

Patch Set 8 : New version applying suggested changes (please ignore tests as they're managed in a different CL) #

Patch Set 9 : Rebased version using tests from r434986 #

Patch Set 10 : Add test results #

Total comments: 8

Patch Set 11 : Patch for landing applying suggested changes #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1179 lines, -24 lines) Patch
M third_party/WebKit/LayoutTests/TestExpectations View 1 2 3 4 5 6 7 8 1 chunk +1 line, -4 lines 0 comments Download
A third_party/WebKit/LayoutTests/editing/caret/caret-color-001.html View 1 2 3 4 5 6 7 8 1 chunk +24 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/editing/caret/caret-color-002.html View 1 2 3 4 5 6 7 8 1 chunk +27 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/editing/caret/caret-color-003.html View 1 2 3 4 5 6 7 8 1 chunk +26 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/editing/caret/caret-color-004.html View 1 2 3 4 5 6 7 8 1 chunk +25 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/editing/caret/caret-color-005.html View 1 2 3 4 5 6 7 8 1 chunk +25 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/editing/caret/caret-color-007.html View 1 2 3 4 5 6 7 8 1 chunk +31 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/editing/caret/caret-color-010.html View 1 2 3 4 5 6 7 8 1 chunk +23 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/editing/caret/caret-color-011.html View 1 2 3 4 5 6 7 8 1 chunk +28 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/editing/caret/caret-color-012.html View 1 2 3 4 5 6 7 8 1 chunk +29 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/editing/caret/caret-color-014.html View 1 2 3 4 5 6 7 8 1 chunk +29 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/editing/caret/caret-color-015.html View 1 chunk +39 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/editing/caret/caret-color-016.html View 1 2 3 4 1 chunk +45 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/editing/pasteboard/dragstart-contains-default-content-expected.txt View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/editing/pasteboard/onpaste-text-html-expected.txt View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/fast/css/getComputedStyle/computed-style-listing-expected.txt View 1 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/css/getComputedStyle/computed-style-without-renderer-listing-expected.txt View 1 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/events/ondrop-text-html-expected.txt View 1 2 1 chunk +1 line, -1 line 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-001-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-001-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-002-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-002-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-003-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-003-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +18 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-004-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-004-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +19 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-005-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-005-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +19 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-007-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-007-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-010-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-010-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-011-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-011-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-012-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-012-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-014-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-014-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +18 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-015-expected.png View 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/editing/caret/caret-color-015-expected.txt View 9 1 chunk +22 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-001-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-001-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-002-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-002-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-003-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-003-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +18 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-004-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-004-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +19 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-005-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-005-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +19 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-007-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-007-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-010-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-010-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-011-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-011-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-012-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-012-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-014-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-014-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +18 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-015-expected.png View 1 2 3 4 5 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/editing/caret/caret-color-015-expected.txt View 1 2 3 4 5 9 1 chunk +22 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-001-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-001-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-002-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-002-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-003-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-003-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +18 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-004-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-004-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +19 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-005-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-005-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +19 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-007-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-007-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-010-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-010-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-011-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-011-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-012-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-012-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-014-expected.png View 1 2 3 4 5 6 7 8 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-014-expected.txt View 1 2 3 4 5 6 7 8 9 1 chunk +18 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-015-expected.png View 1 2 3 4 5 9 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/editing/caret/caret-color-015-expected.txt View 1 2 3 4 5 9 1 chunk +22 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/svg/css/getComputedStyle-listing-expected.txt View 1 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/virtual/stable/webexposed/css-properties-as-js-properties-expected.txt View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/css-properties-as-js-properties-expected.txt View 1 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/BUILD.gn View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/CSSComputedStyleDeclaration.cpp View 1 2 3 4 5 6 1 chunk +1 line, -2 lines 0 comments Download
M third_party/WebKit/Source/core/css/CSSProperties.in View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/CSSPropertyEquality.cpp View 1 chunk +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/ComputedStyleCSSValueMapping.cpp View 1 2 3 4 5 6 7 1 chunk +6 lines, -0 lines 0 comments Download
A third_party/WebKit/Source/core/css/StyleAutoColor.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +64 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/parser/CSSParserFastPaths.cpp View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp View 1 2 3 4 5 6 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/resolver/StyleBuilderConverter.h View 1 2 3 1 chunk +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/resolver/StyleBuilderConverter.cpp View 1 2 3 4 5 6 7 8 9 10 1 chunk +14 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/resolver/StyleBuilderCustom.cpp View 1 2 3 4 5 6 7 2 chunks +32 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/editing/CaretBase.cpp View 1 chunk +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/editing/EditingStyle.cpp View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/frame/UseCounter.cpp View 2 chunks +3 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyle.h View 1 2 3 4 5 6 4 chunks +15 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyle.cpp View 1 2 3 4 5 6 7 2 chunks +13 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/style/StyleRareInheritedData.h View 1 2 3 6 chunks +31 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/style/StyleRareInheritedData.cpp View 1 2 3 4 5 6 7 8 9 10 6 chunks +19 lines, -1 line 0 comments Download
M third_party/WebKit/Source/web/tests/WebViewTest.cpp View 1 2 3 4 5 6 3 chunks +11 lines, -10 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 26 (9 generated)
Manuel Rego
Adding some people as reviewers, but please let me know if I should ping someone ...
10 months, 1 week ago (2016-11-21 10:04:11 UTC) #2
chrishtr
Going to defer to timloh and yosin for the main review. I'll approve for webexposed ...
10 months ago (2016-11-21 19:15:38 UTC) #5
Timothy Loh
Just skimmed it, some quick comments. - Are transitions supported or supposed to be supported? ...
10 months ago (2016-11-22 02:17:35 UTC) #6
yosin_UTC9
core/editing lgtm since there are two line changes and these changes are very explicit. Since ...
10 months ago (2016-11-22 02:25:10 UTC) #7
Manuel Rego
Thanks for the reviews! I'll upload a new version but meanwhile let's reply to some ...
10 months ago (2016-11-22 09:36:01 UTC) #8
Manuel Rego
I've uploaded a new version applying suggested changes. Please take a look, thanks. Regarding tests, ...
10 months ago (2016-11-23 11:01:54 UTC) #9
Manuel Rego
The tests have been merged upstream (W3C csswg-test repo) and I've imported them in the ...
10 months ago (2016-11-25 11:32:29 UTC) #10
Timothy Loh
https://codereview.chromium.org/2520873002/diff/100001/third_party/WebKit/Source/build/scripts/templates/StyleBuilderFunctions.cpp.tmpl File third_party/WebKit/Source/build/scripts/templates/StyleBuilderFunctions.cpp.tmpl (right): https://codereview.chromium.org/2520873002/diff/100001/third_party/WebKit/Source/build/scripts/templates/StyleBuilderFunctions.cpp.tmpl#newcode354 third_party/WebKit/Source/build/scripts/templates/StyleBuilderFunctions.cpp.tmpl:354: {{apply_auto_color('CSSPropertyCaretColor') }} Since this is only for a single ...
10 months ago (2016-11-28 03:11:21 UTC) #11
Timothy Loh
On 2016/11/25 11:32:29, Manuel Rego wrote: > The tests have been merged upstream (W3C csswg-test ...
10 months ago (2016-11-28 03:12:46 UTC) #12
Manuel Rego
Thanks for the review, I'll upload a new version ASAP. I've sent a mail to ...
10 months ago (2016-11-28 10:47:55 UTC) #13
Manuel Rego
I've uploaded a new version of the patch applying suggested changes. Please @timloh take a ...
9 months, 4 weeks ago (2016-11-29 15:54:16 UTC) #15
Timothy Loh
lgtm https://codereview.chromium.org/2520873002/diff/180001/third_party/WebKit/Source/core/css/StyleAutoColor.h File third_party/WebKit/Source/core/css/StyleAutoColor.h (right): https://codereview.chromium.org/2520873002/diff/180001/third_party/WebKit/Source/core/css/StyleAutoColor.h#newcode18 third_party/WebKit/Source/core/css/StyleAutoColor.h:18: StyleAutoColor() : m_type(ValueType::Auto) {} Might be nicer to ...
9 months, 4 weeks ago (2016-11-30 14:51:10 UTC) #16
chrishtr
lgtm
9 months, 4 weeks ago (2016-11-30 15:10:14 UTC) #17
Manuel Rego
Thank you all for the reviews and all the feedback on this! https://codereview.chromium.org/2520873002/diff/180001/third_party/WebKit/Source/core/css/StyleAutoColor.h File third_party/WebKit/Source/core/css/StyleAutoColor.h ...
9 months, 4 weeks ago (2016-11-30 15:41:53 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2520873002/200001
9 months, 4 weeks ago (2016-11-30 15:42:37 UTC) #21
commit-bot: I haz the power
Committed patchset #11 (id:200001)
9 months, 3 weeks ago (2016-11-30 18:20:10 UTC) #24
commit-bot: I haz the power
9 months, 3 weeks ago (2016-11-30 18:27:56 UTC) #26
Message was sent while issue was closed.
Patchset 11 (id:??) landed as
https://crrev.com/c142daf285cf004dd28c7a88c57920279d123300
Cr-Commit-Position: refs/heads/master@{#435338}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b